CHICKEN-INSTALL(1)

NAME
chicken-install - download and install extension libraries for Chicken Scheme

SYNOPSIS
chicken-install [OPTION | EXTENSION[:VERSION]] ...

DESCRIPTION
chicken-install is a program that downloads, compiles and installs a prepackaged extension library from sources. If no extension name is given on the command-line, then any existing setup scripts in the current directory will be executed in some unspecified order. See the Chicken manual for more information.

OPTIONS

-h, -help
    Shows a summary of options and exits.

-v, -version
    Shows tool version and exits.

-force
    Do not ask when versions don't match, continue with the installation instead.

-i, -init DIRECTORY
    Initialize empty alternative repository.

-k, -keep
    Keep temporary directories after an installation process finished (whether successfull or not).

Do not install the extension, just build it. Implies
    -keep

-l, -location LOCATION
    Specifies the location from where to retrieve the extension sources. Defaults to the current official egg-repository suitable for this version of CHICKEN Depending on the transport used (see below), the LOCATION may be an svn(1) repository URL, a http URL or a location in the local file-system.

-t, -transport TRANSPORT
    Selects the mechanism to use to download any extensions that are directly or indirectly to be installed. Currently the transports http (the default, retrieve files via the HTTP protocol), svn (retrieve by performing a checkout - requires the svn(1) client to be installed) and local (install directly from the local file-system).

-s, -sudo
    Perform any installation steps the install files by commands invoked with the sudo(1) tool.

-u, -update
    Scan all installed import libraries and generate module database file.

-r, -retrieve
    Only fetch the extensions, do not install them.

-p, -prefix PREFIX
    Select an alternative installation prefix.

-host-extension
    Mark this extension as a "host" extension. This is mainly intended for cross-compilation.

-test
    After successfull installation, invoke any accompanying test-suite, if found in the extension sources. When this option is given, additional dependencies configured in the test-depends meta property may be downloaded and installed, if necessary.

-usernameUSERNAME
    Set username for transports that require authentification.

-passwordPASSWORD
    Set password for transports that require authentification.

ENVIRONMENT VARIABLES

CHICKEN_PREFIX
    The installation prefix where CHICKEN Scheme and its support files and libraries are located. Defaults to the installation time prefix given when configuring the system.

CHICKEN_INSTALL_PREFIX
    An alternative installation prefix that will be prepended to extension installation paths if specified.

CHICKEN_REPOSITORY
    The path where extension libraries are installed. Defaults to the package-library path selected during configuration (usually $prefix/lib/chicken/<binary-version> )

DOCUMENTATION
More information can be found in the Chicken User's Manual

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org , preferrably using the chicken-bug tool.

AUTHORS
The Chicken Team

SEE ALSO
chicken-uninstall(1) chicken-status(1) chicken(1) csc(1) chicken-bug(1)